package com.thaiopensource.pullax;

public class XmlExternalId extends XmlInputSource {
  private final String publicId;
  private final String systemId;
  private final String baseUri;

  public XmlExternalId(String publicId, String systemId, String baseUri) {
    this.publicId = publicId;
    this.systemId = systemId;
    this.baseUri = baseUri;
  }

  public final String getPublicId() {
    return publicId;
  }

  public final String getSystemId() {
    return systemId;
  }

  public final String getBaseUri() {
    return baseUri;
  }
}
