package com.thaiopensource.pullax;

import java.io.IOException;
import java.io.File;
import java.io.FileInputStream;

public class XmlFileInputSource extends XmlInputStreamInputSource {
  public XmlFileInputSource(File file) throws IOException {
    super(new FileInputStream(file), file.toURL().toString(), null);
  }

  public XmlFileInputSource(String str) throws IOException {
    this(new File(str));
  }
}
