package com.thaiopensource.pullax;

import java.io.InputStream;

public class XmlInputStreamInputSource extends XmlInputSource {
  private final InputStream inputStream;
  private final String uri;
  private final String encoding;
  
  public XmlInputStreamInputSource(InputStream inputStream, String uri, String encoding) {
    if (inputStream == null)
      throw new NullPointerException();
    this.inputStream = inputStream;
    this.uri = uri;
    this.encoding = encoding;
  }

  public final InputStream getInputStream() {
    return inputStream;
  }

  public final String getUri() {
    return uri;
  }

  public final String getEncoding() {
    return encoding;
  }
}
