package com.thaiopensource.pullax;

/**
 * Declares some well-known namespace URIs.
 */
public interface XmlNamespaces {
  /**
   * The namespace URI bound to the <code>xml</code> prefix.
   */
  public static final String XML = "http://www.w3.org/XML/1998/namespace";

  /**
   * The namespace URI for attributes serving as namespace declarations.
   */
  public static final String XMLNS = "http://www.w3.org/2000/xmlns/";
}
