package com.thaiopensource.pullax;

public class XmlSeverity {
  private final String name;

  private XmlSeverity(String name) {
    this.name = name;
  }

  public String toString() {
    return name;
  }

  public static final XmlSeverity INFORMATION =
    new XmlSeverity("INFORMATION");
  public static final XmlSeverity WARNING =
    new XmlSeverity("WARNING");
  public static final XmlSeverity ERROR =
    new XmlSeverity("ERROR");
  public static final XmlSeverity FATAL_ERROR =
    new XmlSeverity("FATAL_ERROR");
}
