package com.thaiopensource.pullax;

import java.io.Reader;

public class XmlReaderInputSource extends XmlInputSource {
  private final Reader reader;
  private final String uri;
  private final String encoding;
  
  public XmlReaderInputSource(Reader reader, String uri, String encoding) {
    if (reader == null)
      throw new NullPointerException();
    this.reader = reader;
    this.uri = uri;
    this.encoding = encoding;
  }

  public final Reader getReader() {
    return reader;
  }

  public final String getUri() {
    return uri;
  }

  public final String getEncoding() {
    return encoding;
  }
}
