package com.thaiopensource.pullax;

import java.util.Locale;

public class XmlReport {
  private final XmlSeverity severity;
  private final XmlLocation location;
  private final String message;
  
  public XmlReport(XmlSeverity severity, XmlLocation location, String message) {
    this.severity = severity;
    this.location = location;
    this.message = message;
  }

  public final XmlSeverity getSeverity() {
    return severity;
  }

  public final XmlLocation getLocation() {
    return location;
  }

  public final String getMessage() {
    return message;
  }
}
