package com.thaiopensource.pullax.xni;

import org.apache.xerces.xni.QName;

abstract class NCNamedItem extends ItemBase {
  private final String ncname;

  NCNamedItem(Context context, Position position, String ncname) {
    super(context, position);
    this.ncname = ncname;
  }

  public String getName() {
    return ncname;
  }

  public String getLocalName() {
    return ncname;
  }
}
