package com.thaiopensource.pullax.xni;

import org.apache.xerces.xni.QName;

class TextItem extends ItemBase {
  private String value;

  TextItem(Context context, Position position, String value) {
    super(context, position);
    this.value = value;
  }

  TextItem(Context context, Position position) {
    super(context, position);
  }

  public int getItemType() {
    return TEXT;
  }

  public String getValue() {
    return value;
  }

  void setValue(String value) {
    this.value = value;
  }
}
